Updates the user_sales_organization_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_sales_organization_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_sales_organization_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_sales_organization_list |
user |
Optionally required : user_id, user_code or user must be provided |
| sales_organization_id |
Foreign key to sales_organization |
globally unique identifier |
Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating user_sales_organization_list |
string |
Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating user_sales_organization_list |
sales_organization |
Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "1da8393c-4de6-490b-bbff-0801c5286bb6",
"user_id": "41d4759d-54e3-4824-935e-45f77647e181",
"user_code": "sample string 3",
"sales_organization_id": "dbdd420d-9e82-4337-b014-13c09d9fddf4",
"sales_organization_code": "sample string 5",
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-03-24T07:11:38.4133856+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.